Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.navstate
Class WindowNavigationalState

    java.lang.Object
      org.jboss.portal.core.model.portal.navstate.WindowNavigationalState

All Implemented Interfaces:
  java.io.Serializable

    public final class WindowNavigationalState

extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision: 10960 $
Author:
  Julien Viet
See Also:
  Serialized Form

Constructor Summary
`WindowNavigationalState(org.jboss.portal.WindowState windowState, org.jboss.portal.Mode mode, org.jboss.portal.portlet.StateString contentState, org.jboss.portal.portlet.StateString publicContentState)`

Method Summary
`static WindowNavigationalState` | `bilto(WindowNavigationalState oldNS, org.jboss.portal.WindowState windowState, org.jboss.portal.Mode mode, org.jboss.portal.portlet.StateString contentState)`
`static WindowNavigationalState` | `create()`
`org.jboss.portal.portlet.StateString` | `getContentState()`
`org.jboss.portal.Mode` | `getMode()`
`static org.jboss.portal.Mode` | `getMode(org.jboss.portal.common.invocation.AttributeResolver resolver, java.lang.Object id)`
`org.jboss.portal.portlet.StateString` | `getPublicContentState()`
`static org.jboss.portal.portlet.StateString` | `getPublicState(org.jboss.portal.common.invocation.AttributeResolver resolver, java.lang.Object id)`
`static org.jboss.portal.portlet.StateString` | `getState(org.jboss.portal.common.invocation.AttributeResolver resolver, java.lang.Object id)`
`org.jboss.portal.WindowState` | `getWindowState()`
`static org.jboss.portal.WindowState` | `getWindowState(org.jboss.portal.common.invocation.AttributeResolver resolver, java.lang.Object id)`
`static void` | `setMode(org.jboss.portal.common.invocation.AttributeResolver resolver, NavigationalStateKey key, org.jboss.portal.Mode mode)`
`static void` | `setMode(org.jboss.portal.common.invocation.AttributeResolver context, java.lang.Object id, org.jboss.portal.Mode mode)`
`static void` | `setPublicState(org.jboss.portal.common.invocation.AttributeResolver resolver, NavigationalStateKey key, org.jboss.portal.portlet.StateString publicState)`
`static void` | `setPublicState(org.jboss.portal.common.invocation.AttributeResolver resolver, java.lang.Object id, org.jboss.portal.portlet.StateString state)`
`static void` | `setState(org.jboss.portal.common.invocation.AttributeResolver resolver, NavigationalStateKey key, org.jboss.portal.portlet.StateString state)`
`static void` | `setState(org.jboss.portal.common.invocation.AttributeResolver resolver, NavigationalStateKey key, org.jboss.portal.portlet.StateString state, Window window)`
`static void` | `setState(org.jboss.portal.common.invocation.AttributeResolver resolver, java.lang.Object id, org.jboss.portal.portlet.StateString state)`
`static void` | `setWindowState(org.jboss.portal.common.invocation.AttributeResolver resolver, NavigationalStateKey key, org.jboss.portal.WindowState windowState)`
`static void` | `setWindowState(org.jboss.portal.common.invocation.AttributeResolver resolver, java.lang.Object id, org.jboss.portal.WindowState windowState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowNavigationalState

    public WindowNavigationalState(org.jboss.portal.WindowState windowState,
                                   org.jboss.portal.Mode mode,
                                   org.jboss.portal.portlet.StateString contentState,
                                   org.jboss.portal.portlet.StateString publicContentState)

Method Detail

### create

    public static WindowNavigationalState create()

### getWindowState

    public org.jboss.portal.WindowState getWindowState()

### getMode

    public org.jboss.portal.Mode getMode()

### getContentState

    public org.jboss.portal.portlet.StateString getContentState()

### getPublicContentState

    public org.jboss.portal.portlet.StateString getPublicContentState()

### getWindowState

    public static org.jboss.portal.WindowState getWindowState(org.jboss.portal.common.invocation.AttributeResolver resolver,
                                                              java.lang.Object id)

### setWindowState

    public static void setWindowState(org.jboss.portal.common.invocation.AttributeResolver resolver,
                                      java.lang.Object id,
                                      org.jboss.portal.WindowState windowState)

### setWindowState

    public static void setWindowState(org.jboss.portal.common.invocation.AttributeResolver resolver,
                                      NavigationalStateKey key,
                                      org.jboss.portal.WindowState windowState)

### getMode

    public static org.jboss.portal.Mode getMode(org.jboss.portal.common.invocation.AttributeResolver resolver,
                                                java.lang.Object id)

### setMode

    public static void setMode(org.jboss.portal.common.invocation.AttributeResolver context,
                               java.lang.Object id,
                               org.jboss.portal.Mode mode)

### setMode

    public static void setMode(org.jboss.portal.common.invocation.AttributeResolver resolver,
                               NavigationalStateKey key,
                               org.jboss.portal.Mode mode)

### getState

    public static org.jboss.portal.portlet.StateString getState(org.jboss.portal.common.invocation.AttributeResolver resolver,
                                                                java.lang.Object id)

### setState

    public static void setState(org.jboss.portal.common.invocation.AttributeResolver resolver,
                                java.lang.Object id,
                                org.jboss.portal.portlet.StateString state)

### getPublicState

    public static org.jboss.portal.portlet.StateString getPublicState(org.jboss.portal.common.invocation.AttributeResolver resolver,
                                                                      java.lang.Object id)

### setPublicState

    public static void setPublicState(org.jboss.portal.common.invocation.AttributeResolver resolver,
                                      java.lang.Object id,
                                      org.jboss.portal.portlet.StateString state)

### setState

    public static void setState(org.jboss.portal.common.invocation.AttributeResolver resolver,
                                NavigationalStateKey key,
                                org.jboss.portal.portlet.StateString state)

### setPublicState

    public static void setPublicState(org.jboss.portal.common.invocation.AttributeResolver resolver,
                                      NavigationalStateKey key,
                                      org.jboss.portal.portlet.StateString publicState)

### setState

    public static void setState(org.jboss.portal.common.invocation.AttributeResolver resolver,
                                NavigationalStateKey key,
                                org.jboss.portal.portlet.StateString state,
                                Window window)

### bilto

    public static WindowNavigationalState bilto(WindowNavigationalState oldNS,
                                                org.jboss.portal.WindowState windowState,
                                                org.jboss.portal.Mode mode,
                                                org.jboss.portal.portlet.StateString contentState)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD